aboutsummaryrefslogtreecommitdiffstats
path: root/testing/glade/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-04-12 09:52:34 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-04-12 09:52:34 +0000
commit45e9081bdb50f0897961644409a65da93a708e55 (patch)
treed6bd87928bf33eeb9968d4ce6bb8bf37b0785708 /testing/glade/APKBUILD
parent39de1d2f2faeab7a49f7d921ae510e4889ae4a5f (diff)
downloadaports-45e9081bdb50f0897961644409a65da93a708e55.tar.gz
aports-45e9081bdb50f0897961644409a65da93a708e55.tar.bz2
aports-45e9081bdb50f0897961644409a65da93a708e55.tar.xz
testing/glade: new aport
User Interface Designer for GTK+ and GNOME http://glade.gnome.org/
Diffstat (limited to 'testing/glade/APKBUILD')
-rw-r--r--testing/glade/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/testing/glade/APKBUILD b/testing/glade/APKBUILD
new file mode 100644
index 0000000000..25b7244ea9
--- /dev/null
+++ b/testing/glade/APKBUILD
@@ -0,0 +1,34 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=glade
+pkgver=3.10.0
+pkgrel=0
+pkgdesc="User Interface Designer for GTK+ and GNOME"
+url="http://glade.gnome.org/"
+arch="all"
+license="GPL"
+depends=
+makedepends="gtk+3.0-dev libxml2-dev"
+install=
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://ftp.gnome.org/pub/GNOME/sources/glade/${pkgver%.*}/glade-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="70c61582bdc6e9a852b29f3d172ddd4e glade-3.10.0.tar.bz2"